cURL
curl --request GET \
--url 'https://li.quest/v1/chains?chainTypes=EVM,SVM,UTXO,MVM,TVM'const response = await fetch(
'https://li.quest/v1/chains?chainTypes=EVM,SVM,UTXO,MVM,TVM'
);
const { chains } = await response.json();import requests
response = requests.get(
'https://li.quest/v1/chains',
params={'chainTypes': 'EVM,SVM,UTXO,MVM,TVM'},
)
chains = response.json()['chains']
{
"chains": [
{
"key": "eth",
"name": "Ethereum",
"chainType": "EVM",
"coin": "ETH",
"id": 1,
"mainnet": true,
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/ethereum.svg",
"tokenlistUrl": "https://gateway.ipfs.io/ipns/tokens.uniswap.org",
"multicallAddress": "0xcA11bde05977b3631167028862bE2a173976CA11",
"metamask": {
"chainId": "0x1",
"blockExplorerUrls": [
"https://etherscan.io/"
],
"chainName": "Ethereum Mainnet",
"nativeCurrency": {
"name": "ETH",
"symbol": "ETH",
"decimals": 18
},
"rpcUrls": [
"https://mainnet.infura.io/v3/9aa3d95b340fa88ea12eaa4456161"
]
},
"nativeToken": {
"address": "0x0000000000000000000000000000000000000000",
"decimals": 18,
"symbol": "ETH",
"chainId": 1,
"coinKey": "ETH",
"name": "ETH",
"logoURI": "https://static.debank.com/image/token/logo_url/eth/935ae4e4d1d12d59a99717a24f2540b5.png",
"priceUSD": "2582.35"
}
},
{
"key": "out",
"name": "Robinhood Chain",
"chainType": "EVM",
"coin": "ETH",
"id": 4663,
"mainnet": true,
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/robinhood.svg",
"multicallAddress": "0xcA11bde05977b3631167028862bE2a173976CA11",
"diamondAddress": "0xB477751B76CF82d00a686A1232f5fCD772414Af3",
"metamask": {
"chainId": "0x1237",
"blockExplorerUrls": [
"https://robinhoodchain.blockscout.com/"
],
"chainName": "Robinhood Chain",
"nativeCurrency": {
"name": "ETH",
"symbol": "ETH",
"decimals": 18
},
"rpcUrls": [
"https://rpc.mainnet.chain.robinhood.com/"
]
},
"nativeToken": {
"address": "0x0000000000000000000000000000000000000000",
"decimals": 18,
"symbol": "ETH",
"chainId": 4663,
"coinKey": "ETH",
"name": "ETH",
"logoURI": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2/logo.png",
"priceUSD": "1754.53"
}
},
{
"key": "pol",
"name": "Polygon",
"chainType": "EVM",
"coin": "MATIC",
"id": 137,
"mainnet": true,
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/polygon.svg",
"tokenlistUrl": "https://unpkg.com/quickswap-default-token-list@1.0.71/build/quickswap-default.tokenlist.json",
"faucetUrls": [
"https://stakely.io/faucet/polygon-matic"
],
"multicallAddress": "0xcA11bde05977b3631167028862bE2a173976CA11",
"metamask": {
"chainId": "0x89",
"blockExplorerUrls": [
"https://polygonscan.com/",
"https://explorer-mainnet.maticvigil.com/"
],
"chainName": "Matic(Polygon) Mainnet",
"nativeCurrency": {
"name": "MATIC",
"symbol": "MATIC",
"decimals": 18
},
"rpcUrls": [
"https://polygon-rpc.com/",
"https://polygon.llamarpc.com/"
]
},
"nativeToken": {
"address": "0x0000000000000000000000000000000000000000",
"decimals": 18,
"symbol": "MATIC",
"chainId": 137,
"coinKey": "MATIC",
"name": "MATIC",
"logoURI": "https://static.debank.com/image/matic_token/logo_url/matic/6f5a6b6f0732a7a235131bd7804d357c.png",
"priceUSD": "0.881307"
}
},
{
"key": "bsc",
"name": "BSC",
"chainType": "EVM",
"coin": "BNB",
"id": 56,
"mainnet": true,
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/bsc.svg",
"tokenlistUrl": "https://tokens.pancakeswap.finance/pancakeswap-extended.json",
"faucetUrls": [
"https://stakely.io/faucet/bsc-chain-bnb"
],
"multicallAddress": "0xcA11bde05977b3631167028862bE2a173976CA11",
"metamask": {
"chainId": "0x38",
"blockExplorerUrls": [
"https://bscscan.com/"
],
"chainName": "Binance Smart Chain Mainnet",
"nativeCurrency": {
"name": "BNB",
"symbol": "BNB",
"decimals": 18
},
"rpcUrls": [
"https://bsc-dataseed.binance.org/",
"https://bsc-dataseed1.defibit.io/",
"https://bsc-dataseed1.ninicoin.io/"
]
},
"nativeToken": {
"address": "0x0000000000000000000000000000000000000000",
"decimals": 18,
"symbol": "BNB",
"chainId": 56,
"coinKey": "BNB",
"name": "BNB",
"logoURI": "https://static.debank.com/image/bsc_token/logo_url/bsc/8bfdeaa46fe9be8f5cd43a53b8d1eea1.png",
"priceUSD": "266"
}
},
{
"key": "dai",
"name": "Gnosis",
"chainType": "EVM",
"coin": "DAI",
"id": 100,
"mainnet": true,
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/gnosis.svg",
"tokenlistUrl": "https://tokens.honeyswap.org/",
"faucetUrls": [
"https://stakely.io/faucet/xdai-chain"
],
"multicallAddress": "0xcA11bde05977b3631167028862bE2a173976CA11",
"metamask": {
"chainId": "0x64",
"blockExplorerUrls": [
"https://blockscout.com/xdai/mainnet/"
],
"chainName": "Gnosis Chain",
"nativeCurrency": {
"name": "xDai",
"symbol": "xDai",
"decimals": 18
},
"rpcUrls": [
"https://rpc.gnosischain.com/",
"https://rpc.xdaichain.com/",
"https://dai.poa.network/"
]
},
"nativeToken": {
"address": "0x0000000000000000000000000000000000000000",
"decimals": 18,
"symbol": "xDai",
"chainId": 100,
"coinKey": "XDAI",
"name": "xDai",
"logoURI": "https://static.debank.com/image/xdai_token/logo_url/xdai/1207e67652b691ef3bfe04f89f4b5362.png",
"priceUSD": "1.0002"
}
}
]
}Chains
Get information about all currently supported chains
If you want to learn more about how to use this endpoint please have a look at our guide.
GET
/
v1
/
chains
cURL
Headers
The apiKey allows you to authenticate on the API.
Query Parameters
Restrict the resulting chains to the given chainTypes. Available values: EVM, SVM, UTXO, MVM, TVM. Pass all values to get every supported chain. If this parameter is omitted, the API returns only EVM chains.
Response
200 - application/json
Show child attributes
Show child attributes
⌘I

